%define libdrm_version %(rpm -q --qf='%{VERSION}' libdrm | %__awk 'BEGIN{FS="."}{print $1*10000+$2*100+$3}')
%if 0%{?libdrm_version} >= 020423
%define with_i965 1
%else
%define with_i965 0
%endif

#
# spec file for package libva
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild

Name:           libva
Version:        1.0.13
Release:        1.pm.5.2
License:        MIT
Summary:        Video Acceleration (VA) API for Linux
Url:            http://freedesktop.org/wiki/Software/vaapi
Group:          System/Libraries
Source:         http://cgit.freedesktop.org/libva/snapshot/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkg-config libudev-devel
BuildRequires:  xorg-x11-devel xorg-x11-libXext-devel xorg-x11-libXfixes-devel
BuildRequires:  libdrm-devel Mesa-devel
BuildRequires:  gcc-c++ libstdc++-devel
AutoReqProv:    on

%description
The libva library implements the Video Acceleration (VA) API for Linux.
The library loads a hardware dependendent driver.

%package -n vaapi-tools
Summary:        Video Acceleration (VA) API for Linux
Group:          System/Libraries

%description -n vaapi-tools
The libva library implements the Video Acceleration (VA) API for Linux.
The library loads a hardware dependendent driver.

This is a set of tools around vaapi livrary.

%package -n libva1
Summary:        Video Acceleration (VA) API for Linux
Group:          System/Libraries

%description -n libva1
The libva library implements the Video Acceleration (VA) API for Linux.
The library loads a hardware dependendent driver.

%package devel
Summary:        Video Acceleration (VA) API for Linux -- development files
Group:          Development/Languages/C and C++
Requires:       libva1 = %{version}

%description devel
The libva library implements the Video Acceleration (VA) API for Linux.
The library loads a hardware dependendent driver.

This package provides the development environment for libva.

%prep
%setup -q

%build
autoreconf -v --install
%configure --enable-dummy-driver \
%if 0%{?suse_version} >= 01120
           --enable-dummy-backend \
%endif
%if %with_i965
           --enable-i965-driver \
%else
           --disable-i965-driver \
%endif
           --enable-glx \
           --with-drivers-path=%{_libdir}/dri
make

%install
%makeinstall
find %{buildroot} -name '*.la' -delete -print
rm %{buildroot}%{_bindir}/test*

%clean
rm -rf %{buildroot}

%post -n libva1 -p /sbin/ldconfig
%postun -n libva1 -p /sbin/ldconfig

%files -n vaapi-tools
%defattr(-,root,root,-)
%{_bindir}/vainfo
%{_bindir}/avcenc
%dir %{_libdir}/dri
%{_libdir}/dri/dummy_drv_video.so
%if %with_i965
%{_libdir}/dri/i965_drv_video.so
%endif
%{_bindir}/h264encode
%{_bindir}/mpeg2vldemo
%{_bindir}/putsurface

%files -n libva1
%defattr(-, root, root)
%{_libdir}/libva.so.1
%{_libdir}/libva.so.%{version}
%{_libdir}/libva-tpi.so.1
%{_libdir}/libva-tpi.so.%{version}
%{_libdir}/libva-x11.so.1
%{_libdir}/libva-x11.so.%{version}
%{_libdir}/libva-glx.so.1
%{_libdir}/libva-glx.so.%{version}
%{_libdir}/libva-egl.so.1
%{_libdir}/libva-egl.so.%{version}
%if 0%{?suse_version} >= 01120
%{_libdir}/libva-dummy.so.1
%{_libdir}/libva-dummy.so.%{version}
%endif

%files devel
%defattr(-,root,root,-)
%{_libdir}/libva.so
%{_libdir}/libva-tpi.so
%{_libdir}/libva-x11.so
%{_libdir}/libva-glx.so
%{_libdir}/libva-egl.so
%if 0%{?suse_version} >= 01120
%{_libdir}/libva-dummy.so
%endif
%{_includedir}/va
%{_libdir}/pkgconfig/libva.pc
%{_libdir}/pkgconfig/libva-x11.pc
%{_libdir}/pkgconfig/libva-glx.pc
%{_libdir}/pkgconfig/libva-tpi.pc
%{_libdir}/pkgconfig/libva-egl.pc

%changelog
* Tue May 31 2011 kkhere.geo@gmail.com
- new version 1.0.13
  * cleans up licensing issue
  * IvyBrigde video decoding support
  * thread safety
  * Encoding support in SandyBridge
* Fri Apr  1 2011 kkhere.geo@gmail.com
- new version 1.0.12
* Mon Mar 28 2011 kkhere.geo@gmail.com
- new version 1.0.11
  * obsoletes patch
  - i965_dri_video: don't try to render an invalid surface
* Thu Mar  3 2011 kkhere.geo@gmail.com
- patch: i965_dri_video: don't try to render an invalid surface
* Tue Feb 15 2011 kkhere.geo@gmail.com
- new version 1.0.10
* Mon Jan 10 2011 kkhere.geo@gmail.com
- new version 1.0.7
- support IA44 AI44 subpicture format in sandybridge
* Sun Dec 19 2010 lnussel@suse.de
- new version 1.0.6
* Fri Nov  5 2010 kkhere.geo@gmail.com
- update to version 1.0.6
* Thu Sep 30 2010 kkhere.geo@gmail.com
- update to version 1.0.5
  * add scaling flags for vaPutSurface()
  * i965_drv_video: add video processing kernels
  * i965_drv_video: deinterlacing & scaling
* Thu Sep  9 2010 kkhere.geo@gmail.com
- update to version 1.0.4
* Tue Jun  8 2010 dimstar@opensuse.org
- Split the library in libva1, the tools in vaapi-tools and the
  development in libva-devel. Both libraries can live in the same
  package as per policy: they are kept in sync with their soNUM.
* Mon Jun  7 2010 dominique-vlc.suse@leuenberger.net
- Initial package for VideoLAN repository, libva 1.0.1
